\documentclass{beamer}

% PACKAGES
% font, language, TOC...
\usepackage[no-math]{fontspec}
\usepackage[english]{babel}
\usepackage{csquotes}
\usepackage[
  backend=biber,
  style=authoryear,
  autocite=inline,
  eprint=true,
  maxcitenames=1
]{biblatex}
\usepackage{microtype}
\usepackage{dsfont}
\usepackage[normalem]{ulem}

% geometry / graphics
\usepackage{graphbox, graphicx}
\usepackage{tikz}
    \usetikzlibrary{shapes,arrows, patterns, shadows,positioning, decorations}
\usepackage{color}
\usepackage{xcolor}
\usepackage{float}

% math packages
\usepackage{amsmath}
\usepackage{bm}
\usepackage{amsfonts}
\usepackage{amssymb}
\usepackage{mathrsfs}
\usepackage{framed}
\usepackage{empheq}
\usepackage{mathtools}
\usepackage{units}
\usepackage{braket}

% others
\usepackage{hyperref}
\usepackage[export]{adjustbox}
\usepackage{multirow}
\usepackage{booktabs}
\usepackage{textcomp}
\usepackage{appendix}
\usepackage{fourier-orns}
\usepackage{nth}
\usepackage{luatextra}
\usepackage{stackengine,scalerel}
\usepackage{relsize}
\usepackage{wasysym}
\usepackage{calc}
\usepackage{cancel}
\usepackage{listings}

\usepackage[inline]{asymptote}
\usepackage{pgfplots}

% SETTINGS
%\setsansfont[
%  Contextuals=Alternate
%]{Liberation Sans}
\usetheme{Boadilla}
\usefonttheme{professionalfonts}
\usecolortheme{whale}
\useinnertheme{rectangles}
\newcommand<>{\colorize}[4]{\only<#1>{#4}\only<#2>{{\color{#3} #4}}}
\beamerdefaultoverlayspecification{<+->}


\usepackage[inline]{asymptote}
\makeatletter
\newcommand\asyfeyn[2][]{%
  \stepcounter{asy}%
  \setkeys{ASYkeys}{#1}%
  \ifASYattach
    \ASYinlinefalse
  \fi
  \ifx\asydir\empty\else
    \def\ASYprefix{\asydir/}%
  \fi
  \immediate\write\AsyPreStream{%
    \noexpand\InputIfFileExists{%
      \ASYprefix\noexpand\jobname-\the\c@asy.pre}{}{}%
  }
  \asy@write@graphic@header
  \immediate\write\AsyStream{import feyn;}
  \immediate\write\AsyStream{\detokenize{#2}}% here asy does the writing
  \asy@finalise@stream
  \asy@input@graphic
}
\makeatother
\makeatletter
\newcommand{\feynman}[3]{ %
    \begin{minipage}[c]{#1} %
    \centering %
    \asyfeyn[height=#2]{ %
        #3
    }  %
    \end{minipage} %
}

%Colors
\definecolor{rwthblue}{RGB}{0,84,159}
\definecolor{rwthblue50}{RGB}{142,186,229}
\definecolor{rwthblue25}{RGB}{199,221,242}
\definecolor{rwthyellow}{RGB}{255,237,0}
\definecolor{rwthred}{RGB}{204,7,30}
\definecolor{rwthred75}{RGB}{216,92,65}


\setbeamercolor{palette primary}{bg=white,fg=rwthblue}
\setbeamercolor{palette secondary}{bg=rwthblue,fg=white}
\setbeamercolor{palette tertiary}{bg=rwthblue50,fg=white}
\setbeamercolor{palette quaternary}{bg=rwthblue50,fg=white}
\setbeamercolor{structure}{fg=rwthblue} % itemize, enumerate, etc
\setbeamercolor{section in toc}{fg=rwthblue} % TOC sections
\setbeamercolor*{title}{bg=rwthblue,fg=white}
\setbeamercolor{coloredboxstuff}{fg=red,bg=rwthblue50}
\setbeamercolor{block body}{fg=black,bg=rwthblue25}
\setbeamercolor{block title}{fg=rwthblue,bg=rwthblue50}

\renewcommand{\CancelColor}{\color{rwthred}}

\newcommand\redout{\bgroup\markoverwith{\textcolor{rwthred}{\rule[0.5ex]{2pt}{0.8pt}}}\ULon}

% URL Breaks in BibLaTeX
\def\UrlBreaks{\do\/\do\a\do\b\do\c\do\d\do\e\do\f\do\g\do\h\do\i\do\j\do\k\do\l\do\m\do\n\do\o\do\p\do\q\do\r\do\s\do\t\do\u\do\v\do\w\do\x\do\y\do\z\do\A\do\B\do\C\do\D\do\E\do\F\do\G\do\H\do\I\do\J\do\K\do\L\do\M\do\N\do\O\do\P\do\Q\do\R\do\S\do\T\do\U\do\V\do\W\do\X\do\Y\do\Z\do0\do1\do2\do3\do4\do5\do6\do7\do8\do9\do=\do/\do.\do:}
\setcounter{biburllcpenalty}{9000}
\mathchardef\UrlBreakPenalty=200\relax

% MACROS
% maths

\newcommand{\bframe}[1]{\begin{frame}{\textbf{\lastsection} \hfill  #1}}
\newcommand{\tframe}{\begin{frame}{\textbf{\lastsection} \hfill \subsecname}}

\setbeamertemplate{frametitle}{%
    \color{rwthblue}\usebeamerfont{frametitle}\insertframetitle\strut%
    \vskip 0.01\baselineskip%
    \color{rwthblue}\leaders\vrule width \textwidth\vskip0.4pt%
    \vskip0pt%
    \nointerlineskip
}

\setbeamertemplate{navigation symbols}{}%remove navigation symbols
% misc
    \newcommand{\hlbox}[1]{\colorbox{rwthyellow}{$\displaystyle#1$}}

\newcommand{\quot}[1]{\glqq #1\grqq\ } % Anführungszeichen

\newcommand{\fig}[3]{
  % #1: graphic
  % #2: caption_short
  % #3: caption
  \begin{figure}[ht!]
      \centering
      #1
      \caption[#2]{#3}
  \end{figure}
  }

\newcommand{\tab}[3]{
  % #1: tabelle
  % #2: caption_short
  % #3: caption
  \begin{table}[ht!]
      \centering
      #1
      \caption[#2]{#3}
  \end{table}
  }

\author[Jacob Beyer RWTH Aachen]{Jacob Beyer \\ Institute for Theoretical Solid State Physics\\ RWTH Aachen University}
\date{\today}
\title[Template]{Presentation Template}

